Name:           gdesklets-goodweather
Version:        0.3
Release:        2%{?dist}
Summary:        Themeable weather and condition display for gdesklet

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.gdesklets.org
Source0:        http://www.gdesklets.org/files/desklets/GoodWeather/GoodWeather-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
Requires:       gdesklets

%description

Themeable weather and condition display for gdesklets. Displays the current
conditions along with a 5 day forcast

%prep
%setup -q -n GoodWeather


%build


%install
rm -rf $RPM_BUILD_ROOT
#need to install the sensor first
%{__python} Install_GoodWeather_Sensor.bin --nomsg $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/ > /dev/null
rm -rf $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/GoodWeather/weather.com/small_icons/.pics
#install the display now
install -p -m644 -D GoodWeather.display $RPM_BUILD_ROOT/%{_datadir}/gdesklets/Displays/GoodWeather/GoodWeather.display
install -p -m644 -D gfx/bg-bar.png $RPM_BUILD_ROOT/%{_datadir}/gdesklets/Displays/GoodWeather/gfx/bg-bar.png
install -p -m644 -D gfx/bg-left.png $RPM_BUILD_ROOT/%{_datadir}/gdesklets/Displays/GoodWeather/gfx/bg-left.png
install -p -m644 -D gfx/bg-right.png $RPM_BUILD_ROOT/%{_datadir}/gdesklets/Displays/GoodWeather/gfx/bg-right.png
install -p -m644 -D gfx/bg-weather.png $RPM_BUILD_ROOT/%{_datadir}/gdesklets/Displays/GoodWeather/gfx/bg-weather.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/gdesklets/
#%{_datadir}/gdesklets/Displays/GoodWeather/
#%{_datadir}/gdesklets/Sensors/GoodWeather/


%changelog
* Sat Jul 07 2007 Tyler Owen <tyler.l.owen@gmail.com> - 0.3-2
- Added Python to Requires
- Added -p option to install to preserve timestamps
- Fixed missing directory ownership issues

* Sun Jun 24 2007 Tyler Owen <tyler.l.owen@gmail.com> - 0.3-1
- Initial Packaging for Fedora
